# This file created by conda-build 3.23.3
# meta.yaml template originally from:
# /Users/ec2-user/aggregate/conda-lock-feedstock/recipe, last modified Mon Mar 20 17:47:34 2023
# ------------------------------------------------

package:
  name: conda-lock
  version: 1.4.0
source:
  sha256: 55c115a852e63395db8a6a90cf2892aab0543959f2d0bafb83158b6863831b8a
  url: https://pypi.io/packages/source/c/conda-lock/conda_lock-1.4.0.tar.gz
build:
  entry_points:
    - conda-lock = conda_lock:main
  number: '0'
  script: /Users/ec2-user/ci_py311_3/conda-lock_1679364183192/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeh/bin/python
    -m pip install . -vv --no-deps
  string: py311hecd8cb5_0
requirements:
  host:
    - bzip2 1.0.8 h1de35cc_0
    - ca-certificates 2023.01.10 hecd8cb5_0
    - certifi 2022.12.7 py311hecd8cb5_0
    - editables 0.3 py311hecd8cb5_0
    - flit-core 3.6.0 pyhd3eb1b0_0
    - hatch-requirements-txt 0.3.0 py311hecd8cb5_0
    - hatch-vcs 0.2.0 py311hecd8cb5_0
    - hatchling 1.12.2 py311hecd8cb5_0
    - libffi 3.4.2 hecd8cb5_6
    - ncurses 6.4 hcec6c5f_0
    - openssl 1.1.1t hca72f7f_0
    - packaging 23.0 py311hecd8cb5_0
    - pathspec 0.10.3 py311hecd8cb5_0
    - pip 23.0.1 py311hecd8cb5_0
    - pluggy 1.0.0 py311hecd8cb5_1
    - python 3.11.0 h1fd4e5f_3
    - readline 8.2 hca72f7f_0
    - setuptools 65.6.3 py311hecd8cb5_0
    - setuptools-scm 7.0.4 py311hecd8cb5_0
    - sqlite 3.41.1 h6c40b1e_0
    - tk 8.6.12 h5d9f67b_0
    - tomli 2.0.1 py311hecd8cb5_0
    - typing-extensions 4.4.0 py311hecd8cb5_0
    - typing_extensions 4.4.0 py311hecd8cb5_0
    - tzdata 2022g h04d1e81_0
    - wheel 0.38.4 py311hecd8cb5_0
    - xz 5.2.10 h6c40b1e_1
    - zlib 1.2.13 h4dc903c_0
  run:
    - cachecontrol-with-filecache >=0.12.9
    - cachy >=0.3.0
    - click >=8.0
    - click-default-group
    - clikit >=0.6.2
    - crashtest >=0.3.0
    - ensureconda >=1.3
    - filelock >=3.8.0
    - html5lib >=1.0
    - jinja2
    - keyring >=21.2.0
    - packaging >=20.4
    - pkginfo >=1.4
    - pydantic >=1.8.1
    - python >=3.11,<3.12.0a0
    - pyyaml >=5.1
    - requests >=2.18
    - ruamel.yaml
    - tomlkit >=0.7.0
    - toolz >=0.12.0,<1.0.0
    - typing_extensions
    - virtualenv >=20.0.26
test:
  commands:
    - pip check
    - conda-lock --help
  imports:
    - conda_lock
    - conda_lock.models
    - conda_lock.src_parser
  requires:
    - pip
about:
  description: 'Conda lock is a lightweight library that can be used to generate fully

    reproducible lock files for conda environments.

    It does this by performing multiple solves for conda targeting a set of

    platforms you desire lockfiles for.

    This also has the added benefit of acting as an external presolve for conda

    as the lockfiles it generates results in the conda solver not being invoked

    when installing the packages from the generated lockfile.

    '
  dev_url: https://github.com/conda/conda-lock
  doc_url: https://conda.github.io/conda-lock/
  home: https://github.com/conda/conda-lock
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: Lightweight lockfile for conda environments
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - bollwyvl
    - mariusvniekerk
    - ocefpaf
